<?php

namespace Fufle\Demo\Model;

use Fufle\Demo\Query\IJobQuery;
use Fufle\Demo\Query\JobQuery;
use Fufle\ORM\Model as BaseModel;
use Fufle\ORM\IQuery;

class Job extends BaseModel {
    public int $id;
    public float $budget;
    public static function SetQueryModel(): IQuery {
        return new JobQuery( static::class );
    }

    public static function GetLast10() {
        return self::QueryAll(self::QueryModel()->GetLast10());
    }
}
