<?php
namespace Fufle\ORM;

class Query implements IQuery {
    protected string $table;
    protected string $primaryKey;

    public function __construct(string $model) {
        $this->table = $model::GetTableName();
        $this->primaryKey = $model::GetPrimaryKey();
    }

    public function Get(): string {
        return 'SELECT * FROM '.$this->table.' WHERE '.$this->primaryKey.' = ?';
    }

    //public function Insert(): string;
    //public function Update(): string;
    public function Delete(): string {
        return 'DELETE FROM '.$this->table.' WHERE '.$this->primaryKey.' = ?';
    }
}